Package com.meterware.httpunit

# Class HttpHeader

java.lang.Object
com.meterware.httpunit.HttpHeader

public class HttpHeader extends Object

Author:
  Russell Gold

## Constructor Summary

Constructors
Constructor
Description
`HttpHeader(String headerString)`
`HttpHeader(String headerString, String defaultLabel)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getLabel()`
`Map`
`getProperties()`
`protected String`
`getProperty(String key)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpHeader

public HttpHeader(String headerString)

### HttpHeader

public HttpHeader(String headerString, String defaultLabel)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getProperty

protected String getProperty(String key)

### getLabel

public String getLabel()

### getProperties

public Map getProperties()